/* MinuteMonitor, log duration and display usage for the N900
 * Copyright (c) 2012 David Fries <David@Fries.net> http://david.fries.net/
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include "InputDBus.h"
#include <stdio.h>
#include "string.h"

int main(int argc, char **argv)
{
	DBLog *log=new DBLog;
	for(int i=1; i<argc; ++i)
	{
		if(!strcmp(argv[i], "--verbose") || !strcmp(argv[i], "-v"))
		{
			log->SetVerbose(log->GetVerbose()+1);
		}
		else
		{
			printf("Usage: %s --verbose\n"
				"Specific to the N900 this program adds "
				"the end_time (call end time) to\n"
				"the log since the built in logger doesn't.\n",
				argv[0]);
			return 1;
		}
	}
	if(!log->Open())
	{
		delete log;
		return 1;
	}
	InputDBus bus(log);
	int result=bus.ProcessEvents();
	return result;
}
