/* MinuteMonitor, log duration and display usage for the N900
 * Copyright (c) 2012 David Fries <David@Fries.net> http://david.fries.net/
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

// QtQuick doesn't ship by default on N900 (and isn't required here)
//import QtQuick 1.0
import Qt 4.7

/* rectangle inside of a rectangle with the inner light when pressed or
 * dark when not pressed.
 */
Rectangle
{
	id: button
	property alias checked: inner.checked
	signal clicked

	color: "#292821"
	border.color: "#00a2ff"
	border.width: 2
	radius: 8
	//property int margin: 15
	/*
	width: label.width + 2*margin
	height: label.height + 2*margin
	*/
	width: height*3
	height: 20
	property variant press_gradient: Gradient
	{
		GradientStop { position: 0; color: "#0075b5"}
		GradientStop { position: 1; color: "#73d3ff"}
	}
	Rectangle
	{
		id: inner
		property bool checked: false
		anchors.centerIn: parent
		color: parent.color
		border.color: parent.border.color
		border.width: parent.border.width
		radius: 4
		width: parent.width*5/6
		height: parent.height*3/6
		gradient: checked ? press_gradient : null
	}
	MouseArea
	{
		anchors.fill: parent
		onClicked:
		{
			button.clicked(mouse)
			inner.checked=!inner.checked
		}
		onPressed: button.gradient=press_gradient
		onReleased: button.gradient=null
		onCanceled: button.gradient=null
		onExited: button.gradient=null
		onEntered: button.gradient=press_gradient
	}
}
